%define short_name commons-collections
%define tef testframework

Name: jakarta-%short_name
Version: 3.2
Release: alt0.2
Summary: Jakarta Commons Collections Package
License: Apache Software License v2
Group: Development/Java
Source0: commons-collections-3.2-dev.tar.bz2
Url: http://jakarta.apache.org/commons/collections/

BuildArch: noarch
BuildPreReq: /proc rpm-build-java
BuildRequires: rpm-build-java ant junit
Requires: java-common

%description
The Collections package contains a set of Java classes that extend or
augment the Java Collections Framework. This includes new interfaces and
new implementations together with supporting utility classes.

In addition to the main commons-collections jar, a testframework jar file
is also produced.

%package %tef
Summary: extension to junit
Group: Development/Java
Requires: junit

%description %tef
extension to junit for testing new collection implementations

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%package %tef-javadoc
Summary: Javadoc for %name-%tef
Group: Development/Java
Requires: java-common

%description %tef-javadoc
Javadoc for %name-%tef.

%prep
%setup -q -n collections
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;

%build
%set_classpath %_javadir/junit.jar
%ant_build -Djava.io.tmpdir=.  -Djavadoc.links="" jar javadoc tf.jar tf.javadoc

%install
# jars
install -d -m 755 %buildroot%_javadir
install -m 644 build/%short_name-%version-dev.jar %buildroot%_javadir/%name.jar
install -m 644 build/%short_name-%tef-%version-dev.jar %buildroot%_javadir/%name-%tef.jar

# javadoc
install -d -m 755 %buildroot%_javadocdir/%name
install -d -m 755 %buildroot%_javadocdir/%name-%tef
cp -pr build/docs/apidocs/* %buildroot%_javadocdir/%name
cp -pr build/docs/%tef/* %buildroot%_javadocdir/%name-%tef

%files
%doc *.html *.txt
%_javadir/%name.jar

%files %tef
%_javadir/%name-%tef.jar

%files javadoc
%doc %_javadocdir/%name

%files %tef-javadoc
%doc %_javadocdir/%name-%tef

%changelog
* Mon Mar 21 2005 Vladimir Lettiev <crux@altlinux.ru> 3.2-alt0.2
- rpm-build-java macroces
- cvs 20050321

* Sun Oct 24 2004 Vladimir Lettiev <crux@altlinux.ru> 3.2-alt0.1
- 3.2-dev (cvs 20041024)
- fix build with j2se1.5

* Thu Sep 09 2004 Vladimir Lettiev <crux@altlinux.ru> 3.1-alt1
- 3.1
- spec cleanup

* Wed Sep 08 2004 Vladimir Lettiev <crux@altlinux.ru> 0:2.1.1-alt1
- Rebuild for ALT Linux Sisyphus

* Sun Jun 27 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:2.1.1-1jpp
- Update to 2.1.1

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:2.1-4jpp
- update for JPackage 1.5

* Fri Mar 21 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org > 2.1-3jpp
- For jpackage-utils 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 2.1-2jpp
- fix ASF license and add package tag

* Thu Oct 24 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.1-1jpp
- 2.1
- remove build patch about Java APIS link

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0-4jpp
- override java.io.tmpdir to avoid build use /tmp

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0-3jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 2.0-2jpp
- added short names in %_javadir, as does jakarta developpers

* Mon May 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 2.0-1jpp
- 2.0
- distribution tag
- group tag
- regenerated patch

* Sat Jan 19 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-5jpp
- renamed to %name
- additional sources in individual archives
- versioned dir for javadoc
- section macro

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- javadoc into javadoc package

* Sat Nov 3 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3jpp
- used original summary
- added missing license

* Sat Oct 13 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-2jpp
- first unified release
- used web page description
- s/jPackage/JPackage

* Mon Aug 27 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1mdk
- first Mandrake release
